#ifndef _Container_H__
#define _Container_H__

#include <vector>
using namespace std;

namespace GtpVisibilityPreprocessor {
  class Mesh;
  class ViewCell;
  class HierarchyNode;
  /** Container for Mesh pointers primarily for the use within the kDTree and
      BSP hierarchies */
  typedef vector<Mesh *> MeshContainer;
  /** Container for ViewCell pointers primarily for the use within the kDTree and
      BSP hierarchies */
  typedef vector<ViewCell *> ViewCellContainer;
  /** Container for HierarchyNodes pointers primarily for the use within the kDTree and
      BSP hierarchies */
  typedef vector<HierarchyNode *> NodeContainer;
};


#endif // _Container_H__

